Subject: Re: bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 12:45:15 -0700

Eli Zaretskii <[email-masked]> writes:

>> No, you can customize it directly from `customize-group'.
>
> When you do, I'm okay with fully expanding the doc string of the
> variable which you are customizing from the groups buffer.  Would that
> solve the issue at hand?

I don't think I understand what this proposal means.  Could you perhaps
spell it out more explicitly?

>> But I'm not sure what you mean by "complicating commands" given that the
>> proposal AFAIU is to introduce a specific `customize-describe-variable'
>> bound to `C-h v' that handles also the unlispified names.
>
> How would you implement that without complicating the command?  The
> unlispified name is just several English words.

Maybe we are miscommunicating.  I mean that if we add a new command
`customize-describe-variable', it won't complicate `describe-variable'.

> Why do we need to make Emacs so much more complex for the benefit of
> an obscure use case, which already has more than one existing
> solution?

I just noticed that we already have such handling of unlispified names
in `C-h S', which is IMO a useful DWIM feature.  So this wouldn't be
that different.

>> I believe the activity we are engaged in right now is currently as good
>> as it gets.  FWIW, if I had my way, I would for sure close bugs and
>> feature requests far more enthusiastically than is being done now.
>
> Please do, then.  IMNSHO, a proposal for a minor feature that exists
> for more than a decade, and was discussed at length without generating
> any reasonable consensus, should be closed as wontfix.
>
>> For example, "wontfix" could also be used meaning: "yes, it's an issue
>> but it's not one we consider worth fixing, if you care enough send a
>> patch and we will reconsider".
>
> Exactly.

This message has been received; I'll try to apply it with the necessary
restraint.  I expect that you will let me know if I don't.  ;-)